LINUX.ORG.RU

Вышел CentOS 5.6

 , ,


0

1

Разработчики рады представить CentOS 5.6 — дистрибутив, основанный на пакетной базе RHEL 5.6.

Изменения:

Начиная с CentOS 5.6, пакет centos-release включает в себя файлы конфигурации, необходимые для доступа к репозиториям debuginfo и vault, которые ранее должны были быть загружены отдельно. Репозиторий CentOS-Debuginfo.repo содержит набор debuginfo-пакетов (среди прочего необходимы для Systemtap), а репозиторий CentOS-Vault.repo содержит предыдущие (и больше не поддерживаемые) корректирующие релизы CentOS 5.

Новые пакеты, которых не было в CentOS 5.5:

  • bind97
  • hplip3
  • php53

Пакеты, которые были обновлены:

  • mod_nss-1.0.8-3.el5
  • python-2.4.3-27.el5_5.3

Анонс
Информация о выпуске
Ссылка на скачивание

>>> Подробности

Ответ на: комментарий от soko1

Ужос, они б ещё на ядре 2.4 дистр выпускали, для «стабильности».

CentOS 3 прошлой осенью закончилась поддержка ))

Sith ★★★★★ ()
Ответ на: комментарий от Aman

>Во, точно. Недавно, грешным делом, ставил рутер, софтовый фаер, такое. Нарвался на баг в драйвере под одну сетевуху. Во всех rh ). Тихо, мирно поставил FreeBSD ). Всё ок.

а мог бы семерочку ультимативно поставить. там тоже рутер с файрволом есть.

AVL2 ★★★★★ ()
Ответ на: комментарий от Vudod

Я периодически прихожу в состояние аффекта от примитивных глюков федоры.

И ставлю центос, дебиан. Даже арч пробовал. И каждый раз по прошествии времени становится ясно, что все это в общем и целом не тянет по сравнению с федорой. Жаже на серверах. Не говоря уж о бзде. В зиноне вон ссх дают на бздю - кошмар же...

AVL2 ★★★★★ ()
Ответ на: комментарий от soko1

Так enterprise, чего вы ожидали? Секьюрити бекпортят.

По желанию например:

2.6.5-6.el5                  epel
Aman ()
Ответ на: комментарий от soko1

Пакеты, которые были обновлены:
python-2.4.3-27.el5_5.3

Ужос, они б ещё на ядре 2.4 дистр выпускали, для «стабильности».

А им пофигу, они же ынтырпрайз, им всё можно. Если вы напишете программу, использующую свойства более новой версии Питона, вам популярно объяснят какой конкретно вы кретин, что Python 2.4 хватит всем ещё на 100500 лет вперёд.

Я сам использовал кое-что из 2.5 и 2.6, те же with и multiprocessing, например. Но потом пришлось переписать, поскольку на серваке был только RHEL 4 с Python 2.4.2 и никакого numpy, только Numeric. Причём мне быстро объяснили, что это и есть единственно правильный выбор, а если мне кажется, что моим способом удобнее и надёжнее, то у меня руки из жопы растут и просто они кривые, а у настоящих ынтырпрайз программистов ошибок, чтобы закрыть файл забыли, например, не бывает. Больше я вопросов не задавал.

Vudod ★★★★★ ()
Ответ на: комментарий от Aman

да вроде ipsec там есть. ipip и gre точно нет. Да и ipsec с isa 2006 с линуксом я подружить не смог, хотя старался...

AVL2 ★★★★★ ()
Ответ на: комментарий от Vudod

>Если вы напишете программу, использующую свойства более новой версии Питона, вам популярно объяснят какой конкретно вы кретин, что Python 2.4 хватит всем ещё на 100500 лет вперёд.

вот и правильно. Синтаксический сахарок не стоит того, чтобы обновлять тучу пакетов. В федоре вот, наоборот, умудрились обновить питон на 2.7 при том, что собственные биндинги на нем валятся. Это лучше?

В valaide в свое время _двумя строчками_ в коде привязали программу к версии валы из транка. Ну не писец ли...

AVL2 ★★★★★ ()
Ответ на: комментарий от Vudod

Пожаловались бы на жизнь - всё бы вам накатили. А если был какой-то ъ-сервер «не подходи укушу», так должны были согласовать это дело.

Да, в rhel старый софт. Совершенно не новость. Но это позволяет написанный в актуальное время под этот сервер свой софт - держать работающим и не лезть туда годами. Секьюрити накатываются. Всё хорошо. Кому всё-таки нужны новые версии - есть новые релизы rhel и куча проверенных бекпортов.

Если сегодня писать софт под rhel4, а потом жаловаться на версию питона в нём - по-моему это идиотизм.

Aman ()
Ответ на: комментарий от AVL2

вот и правильно. Синтаксический сахарок не стоит того, чтобы обновлять тучу пакетов. В федоре вот, наоборот, умудрились обновить питон на 2.7 при том, что собственные биндинги на нем валятся. Это лучше?

Потеря синтаксического сахара не очень критична. Хуже, когда такие вещи, как multiprocessing, не работают. Приходится городить велосипеды. Есть бэкпорт на версии 2.5 и 2.4, но он глючит, как выяснилось при его эксплуатации, 2.6.6 работает, как часы.

Vudod ★★★★★ ()
Ответ на: комментарий от Aman

Если сегодня писать софт под rhel4, а потом жаловаться на версию питона в нём - по-моему это идиотизм.

А я программу писал не под конкретный сервер, мне просто посчитать нужно было. Потом оказалось, что на моей рабочей машине считать приходится сутками, пошёл на университетский кластер. Там RHEL4. Пока не поставили новый кластер с Федорою и вменяемым админом, пришлось считать на этом Оптероновом чуде.

Vudod ★★★★★ ()
Ответ на: комментарий от Vudod

Ну тут уж ситуация, rhel не виноват. А чего не плюсы кстати, если считать много-долго?

Aman ()
Ответ на: комментарий от anonymous

Ой, да много ли им надо от ОС. Fedora для kernel.org отличный и правильный выбор. Вроде незаангажированы (дистриб свободный) и лишний раз с Red Hat, который много пишет ).

Кстати, а кто-то знает, что там до федоры было?

Aman ()
Ответ на: комментарий от Aman

> В конце поста, про секретаршу

А, читал это. Ну дык одна прога не показатель, набор софта у всех разный, я про кастрюли уже говорил :-).

И, кстати, Evolution у меня нигде нет.

ximeric ()
Ответ на: комментарий от Aman

> У меня например брови поднимаются, когда они мажорные апдейты в текущем релизе накатывают.

У кого-то брови поднимаются, а кто-то хочет кое-кому руки оторвать за такое отношение к некоторому софту...

ximeric ()

Не халивара ради, а просвищенья для:
Чем CentOS лучше Ubuntu?
Я просто совсем не сисадмин, и не понимаю.

И если Ubuntu на серверах уж такое говно почему педивикия отлично на ней работает? Или всё же не говно?

Ramzes001 ★★ ()

> python-2.4.3
Да когда же они это закопают, наконец, и перейдут на python3?

Кстати, количество обновлённых пакетов сокрушительно поражает мою нездоровую и ослабленную весной психику. Никогда не понимал смысла этого «ancient software === very stable and rock solid software without bugs». Бред это. Баги есть в любом софте, а в старых версиях их намного больше, чем в новых (девелоперские и тестовые снэпшоты - это другое дело, но обычные новые релизы как правило намного лучше древнейших версий).

powerpc ()
Ответ на: комментарий от ximeric

>Просто есть такие рабочие станции, которые тоже должны «долго играть», и там нет необходимости ставить всё новое. ДУША ХОЧЕТ СТАБИЛЬНОСТИ, обновления - только безопасности.

открой для себя дебиан или бубунту лтс

tazhate ★★★★★ ()
Ответ на: комментарий от Vudod

>Хуже, когда такие вещи, как multiprocessing, не работают.

Что за безумие всюду ставить на взаимоисключающие параграфы? Это петон! Это один компьютер - один процесс.

AVL2 ★★★★★ ()
Ответ на: комментарий от powerpc

Есть баги, а есть несовместимость версий. Которая тоже для пользователя будет багом.

AVL2 ★★★★★ ()
Ответ на: комментарий от Aman

> Debian - php пересобрать, протестить, nginx пересобрать, протестить, openvz stable хостом не поддерживает (так как 2.6.27, а не 2.6.18-el5). CentOS - подключить репы, всё.

Debian - php изкоробки, nginx в 5.0 и 6.0 изкоробки, openvz в 5.0, 6.0 изкоробки.

CentOS - древняя версия php изкоробки, остальное всё где-то выискивать.

anonymous ()
Ответ на: комментарий от SimonPhoenix

> ну да, у дебиана тоже много реп, которые подключаются, и намного стабильнее, чем эти ваши. может не стоит такой бред нести?

А это такой крутой ынтерпрайз - понаставить из левых источников всякой ерунды, а потом со всем этим попытаться взлететь. Видимо, когда всё перечисленное есть на установочных дисках - это не круто.

anonymous ()
Ответ на: комментарий от anonymous

>> Debian - php изкоробки

ога, из коробки. пхп 5.3 положили, а php-fpm почему-то забыли в эту вашу коробку упаковать
и так со всем, куда не ткнись - все через жопу в этом вашем дебиан
нет уж, я лучше 1-2 репы пропишу в centos, чем такое «из коробки»..

r0mik ()
Ответ на: комментарий от AVL2

> ipsec с isa 2006 с линуксом я подружить не смог

А я смог. Какие проблемы помешали?

anonymous ()
Ответ на: комментарий от InsaneClown

> У нас появился новый ололо-тролль в лице продвинутого ойти-сцицэолиста?
Тролль старый, ник новый.

IT-specialist ()

Вообще, спасибо ребятам, для малого и среднего бизнеса это неплохая альтернатива дебиану на серверах и даже десктопах.

former_hokum ()
Ответ на: комментарий от r0mik

> ога, из коробки. пхп 5.3 положили, а php-fpm почему-то забыли в эту вашу коробку упаковать и так со всем, куда не ткнись - все через жопу в этом вашем дебиан

Ай да ромик, ай да обманщик.

нет уж, я лучше 1-2 репы пропишу в centos, чем такое «из коробки»..


Правильно, лучше отложить момент ай-ай-ая до обновлений. Или настоящие мужчины не обновляются?

Сторонних репов для Debian валом. Причём нет списков (вот это несовместимо с этим, вот это - с официальным репозиторием), потому что aptitude решает, причём решает всё. Я в CO/SL не рискую пользоваться ничем, кроме epel, потому что epel можно доверять хотя бы больше, чем самому CentOS (будут ли обновления? будут ли новые версии? и если будут, то когда? Вопросы, вопросы.).

Как можно доверять репозиторию, если он сторонний и непонять чей? Как можно по этому поводу получать какую-то поддержку, хоть даже неофициальную? Если у одного php из репозитория aaa, у другого из bbb, у третьего ещё откуда-то? Получается такая вещь в себе «одна версия, один поддерживающий, один хрен фюрер».

anonymous ()
Ответ на: комментарий от macumazan

> Тебе на microsoft.com, там из коробки любят.

Да, настоящим мужчинам не нужно удобство. И что же на microsoft из коробки? Две игры в десктопе и никакого php в сервере?

Тебе на php.net. Господь специально всё быдло в одном месте собирает, чтобы пометить их знаком PHP, чтобы их потом сожрала саранча, в первую очередь.

anonymous ()
Ответ на: комментарий от tazhate

это сложно назвать поддержкой.

имелись ввиду сроки жизни дистрибутива. вон 4-ка еще до 2012 года поддерживается

Sith ★★★★★ ()
Ответ на: комментарий от Ramzes001

Это всё как то религиозностью попахивает...

вовсе нет, имелось ввиду сроки выпусков обновлений. дольше RH и соответственно СО ни кто не держит такой долгий жизненный цикл (СО 4 например еще до 2012 года живет). + летает на устаревшем оборудовании (какой дистрибутив сейчас можно поставить на старый комп еще и с поддержкой обновлений?).

ЗЫ: недавно на старом буке (Р2-400МГц/256Мб) перебрался с Gentoo на CO5. теперь даже в гноме шустрее )) на работе тоже СО - ибо стабильность блин.

Sith ★★★★★ ()
Ответ на: комментарий от Polugnom

> Чем оно лучше Scientific Linux?

А тем лучше, что за строчку «RH сертифицированный специалист» в CV нехилое бабло башляют.

Bioreactor ★★★★★ ()
Ответ на: комментарий от anonymous

>Debian - php изкоробки, nginx в 5.0 и 6.0 изкоробки, openvz в 5.0, 6.0 изкоробки.

Какая версия php в lenny? 5.2.6 . optimizer 3.3.9 нормально будет работь? 64-бита. Сквиз - php 5.3, а пока нужен 5.2.17. Nginx - в lenny из-за какого-то конфликта был собран без одной нужной опции, точно не помню, при большом желании могу копнуть. Openvz - и в lenny, и конечно сквиз - нестабильные ветки openvz (элементарно, что stable только для 2.6.18), а нужна stable.

Aman ()
Ответ на: комментарий от anonymous

>Как можно доверять репозиторию, если он сторонний и непонять чей?

Я выше уже писал про доп. репозитории для centos. Конкретно чей он, кто собирает и для чего. Все знают, какие репы юзать, какие нет. Если штамп не позволяет брать чужой бинарник - все нормальные люди выкладывают спеки, скачать, нажать rpmbuild, попить чай. Всё. Что характерно, репы, которые делают люди занимающиеся прикладными задачами - лучше epel. Например там одно время валялся древний nginx (0.6), когда давно был 0.7 и дебажился 0.8.

Aman ()
Ответ на: комментарий от anonymous

Какие «левые»? Сам проект centos можно назвать целиком «левым» ;). Есть плохие репы, есть хорошие ). Надо просто разбираться. Например - для openvz подключается оф. реп openvz. Дебиан - собрали сами с нестабильными патчами. Дальше epel - всем известен. rpmforge - беру буквально 1 пакет, но реп старый, известный. php 5.2 - уже писал. php 5.3 - раньше брали из remi, тоже известный реп. И опять - везде есть спеки, для собственной пересборки бинарников.

Скажете не тру, не apt-get install brain? Может быть. Ну а что делать, если такой путь позволяет решить практическую задачу стабильного ентерпрайз сервера под требования.

Aman ()
Ответ на: комментарий от Aman

> Я выше уже писал про доп. репозитории для centos. Конкретно чей он, кто собирает и для чего. Все знают, какие репы юзать, какие нет.

Ха-ха-ха. Зачем тогда вообще дистрибутив? Используй Windows, там все знают, где какие сборки брать.

Кстати, ОТКУДА все знают?

anonymous ()
Ответ на: комментарий от Aman

> Какие «левые»? Сам проект centos можно назвать целиком «левым» ;). Есть плохие репы, есть хорошие ). Надо просто разбираться. Например - для openvz подключается оф. реп openvz. Дебиан - собрали сами с нестабильными патчами. Дальше epel - всем известен. rpmforge - беру буквально 1 пакет, но реп старый, известный. php 5.2 - уже писал. php 5.3 - раньше брали из remi, тоже известный реп.

Солянка сборная. Превед security-обновления, превед поддержка, вместо одной документации «php и centos» нужно 17, по числу репозирориев. Превед гибкость, превед удобство. Полный превед.

Скажете не тру, не apt-get install brain?

Думать о такой ерунде должен компьютер. Помнить все репозитории, разбираться в этом всём - это задача только компьютерозаменителя, низшего обслуживающего персонала. Мыслящий человек должен думать совсем о других вещах, а если вы помогаете компьютеру делать его работу, вместо того, чтобы компьютер помогал вам, поздравляю вас, вы типичное быдло.

anonymous ()
Ответ на: комментарий от Bioreactor

> А тем лучше, что за строчку «RH сертифицированный специалист» в CV нехилое бабло башляют.

Рабы хвастаются, у кого клеймо хозяина круче. А если перестанут за клеймо платить, что делать будете?

anonymous ()
Ответ на: комментарий от anonymous

>Кстати, ОТКУДА все знают?

Как бы в среде профессионалов, есть места, где люди общаются и делятся опытом. Лор тоже мог быть таки местом, но не судьба.

Aman ()
Ответ на: комментарий от Sith

Ну 10.04 будет поддерживаться до 2015, по мне так для сервера очень даже...
Бесспорно для старенького железа это прикольно, но по моему в 2011 году сервер с такими характеристиками (Р2-400МГц/256Мб) это немного некрофильно..

Что то я в этой жизни не понимаю...

Ramzes001 ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.